Bug 7788 - Tiny problems with calling GetShelf
Summary: Tiny problems with calling GetShelf
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Lists (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marcel de Rooy
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-22 09:24 UTC by Marcel de Rooy
Modified: 2013-12-05 19:53 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Patch for unused calls (3.43 KB, patch)
2012-03-22 09:44 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Patch for unused calls (3.42 KB, patch)
2012-03-22 09:50 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Patch for addbybiblio scripts (2.21 KB, patch)
2012-03-22 10:17 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 7788: Patch for unused calls (3.47 KB, patch)
2012-05-11 08:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 7788: Patch for addbybiblio scripts (2.25 KB, patch)
2012-05-11 08:53 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2012-03-22 09:24:11 UTC
First patch deals with two unused calls to GetShelf in opac/opac-downloadshelf.pl and virtualshelves/downloadshelf.pl.
Just removes them. Test by running these two scripts again.
Comment 1 Marcel de Rooy 2012-03-22 09:44:28 UTC Comment hidden (obsolete)
Comment 2 Marcel de Rooy 2012-03-22 09:50:52 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2012-03-22 10:12:17 UTC
Second patch resolves incorrect call to GetShelf in opac and staff in addbybiblionumber script. It was and is harmless, because the singlecategory variable was not really used (the category$x param was ignored in the template). Just a cleanup operation.
Comment 4 Marcel de Rooy 2012-03-22 10:17:08 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2012-05-11 08:52:06 UTC
Created attachment 9508 [details] [review]
Bug 7788: Patch for unused calls

Cleaning code. Signed off
Comment 6 Jonathan Druart 2012-05-11 08:53:24 UTC
Created attachment 9509 [details] [review]
Bug 7788: Patch for addbybiblio scripts

Fix returns for GetShelf
Comment 7 Paul Poulain 2012-05-22 10:13:25 UTC
QA comments: tiny patches, remove some useless code, passed QA
Comment 8 Paul Poulain 2012-05-22 10:14:56 UTC
code cleaning that can be applied to 3.8 or not, at RMaint option !
Comment 9 Chris Cormack 2012-05-23 04:23:28 UTC
Harmless tidy ups, pushed to 3.8.x will be in release 3.8.2